Subject: Re: [netlmm] #55: Define desired scalability more precisely

From: Andy Huang <[email-masked]>
Date: Wed, 31 May 2006 17:12:31 +0800

X-MSMail-priority: Normal
References: <[email-masked]>
 <[email-masked]>

I don't think it's necessary to describe the detailed scalability in the PS.
In general, the specific number of the user which the system can support is 
considered in the implementation process. It's not the point before the 
initial protocol is finished by DT.

IMHO, from the perspective of protocol design, there should not be limit to 
the scalability. And there is no limit to the number of LMA and whether all 
LMAs must serve the only subnet or not.

----- Original Message ----- 
From: "James Kempf" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, May 31, 2006 3:49 PM
Subject: Re: [netlmm] #55: Define desired scalability more precisely

> I'd like to get discussion on this issue closed by Monday so I can get the 
> draft edited and submitted.
>
> Seems like we have two opinions that the issue is an implementation issue 
> and not a protocol issue and one that it should be stated as a protocol 
> issue in the PS draft. One poster also had an opinion about what the 
> potential scalability was but not specifically whether it should be stated 
> as a protocol issue.
>
> Does anybody else have any opinion on the issue?
>
>            jak
>
>
>
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/netlmm
> 

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "Narayanan, Vidya" <[email-masked]>
Date: Wed, 31 May 2006 15:33:35 -0700

> 
> On Tue, 30 May 2006, Narayanan, Vidya wrote:
> > I am still confused by having a number of users associated with 
> > protocol requirements. What does it mean that a protocol 
> scales to 10k users?
> > With one box? Multiple boxes? This seems like a box 
> requirement to me.
> > And, I'm not sure what it means to have a limitation on the 
> number of 
> > LMAs - the protocol defines a functional entity called an LMA - how 
> > many users a given LMA can support is really an 
> implementation/system issue.
> 
> First off all, you seem to be assuming that inter-LMA 
> "handover" is not service-interrupting.  That may or may not 
> be the case, as multiple LMAs are out of scope.
> 
> Hence, you already seem to have a protocol requirement that 
> it's possible to deploy multiple LMAs, and that handovers 
> between ARs which connect to different LMAs are seamless.  Correct?
> 

Not really. I am not making any assumptions about seamlessness of
handoffs across LMAs. Deployments should take that into account that
NETLMM is not defining the handoff across LMAs and that it may result in
disruption. 

> The number of users hides a number of other, more specific 
> requirements which depend on the actual solutions.  For example,
> 
>   - whether you need to be able to deploy multiple LMAs for load
>     balancing purposes (rather than just high availablility) yet still
>     retain NETLMM benefits
>   - whether a service provider can expect to deploy a single NETLMM
>     domain for all its users instead of using another mobility
>     management solution some handovers.
>   - the amount of signalling (e.g., relating to movements, DAD,
>     security, ...)
>   - the amount of state at all ARs, at all LMAs, at the specific ARs
>   - the amount of packet duplication required if IP subnet 
> emulation is
>     used ("pinging all-hosts multicast address")
> 

Almost all the things you have mentioned above seem to me like
deployment considerations. If the protocol draft were to have a section
on deployment considerations to list this kind of stuff, that would be
good. But, I don't see these as requirements for the protocol. 

All numbers and state impact, etc. are dependent on the size and
capacity of the boxes deployed and so, having these associated with the
protocol does not seem to make sense to me. 

Regards,
Vidya